Ubuntu

/dev/.initramfs/ → /run/initramfs transition

Reported by Martin Pitt on 2011-07-15
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
bootchart (Ubuntu)
Medium
Martin Pitt
plymouth (Ubuntu)
Medium
Martin Pitt
upstart (Ubuntu)
Medium
James Hunt

Bug Description

Oneiric recently moved towards consolidating the various "transient state" directories like /dev/.initramfs/, /dev/shm, /var/run, /var/lock, /lib/init/rw, etc. to a single /run which exists both in the initramfs and the running system.

This temporarily broke packages which use /dev/.initramfs/, but that got fixed with a compatibility symlink in bug 810221. However, the packages which use /dev/.initramfs/ should be transitioned to use /run/initramfs/.

Martin Pitt (pitti) on 2011-07-15
Changed in plymouth (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Martin Pitt (pitti)
Changed in bootchart (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Martin Pitt (pitti)
Changed in upstart (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Martin Pitt (pitti) on 2011-07-15
Changed in bootchart (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bootchart - 0.90.2-8ubuntu1

---------------
bootchart (0.90.2-8ubuntu1) oneiric; urgency=low

  * debian/bootchart.initramfs-script: /dev/.initramfs/ → /run/initramfs
    transition. (LP: #810956)
  * Move to Ubuntuish version number, as Debian also has a bootchart package.
 -- Martin Pitt <email address hidden> Fri, 15 Jul 2011 11:30:32 +0200

Changed in bootchart (Ubuntu):
status: Fix Committed → Fix Released
James Hunt (jamesodhunt) on 2011-07-15
Changed in upstart (Ubuntu):
assignee: nobody → James Hunt (jamesodhunt)
Martin Pitt (pitti) wrote :

Upstart should first check for /run/initramfs/, and if that doesn't exist, fall back to /dev/.initramfs/. That will keep it backportable.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.8.2-2ubuntu24

---------------
plymouth (0.8.2-2ubuntu24) oneiric; urgency=low

  * initramfs scripts: /dev/.initramfs/ → /run/initramfs transition.
    (LP: #810956)
 -- Martin Pitt <email address hidden> Fri, 15 Jul 2011 12:26:00 +0200

Changed in plymouth (Ubuntu):
status: Triaged → Fix Released
James Hunt (jamesodhunt) on 2011-07-20
Changed in upstart (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upstart - 1.3-0ubuntu4

---------------
upstart (1.3-0ubuntu4) oneiric; urgency=low

  * init/main.c: main(): Add support for "/run" directory with fallback to
    old location for initramfs state passing (LP: #810956).
  * Upstream cherry-pick to get dbus fix ("bzr merge -r 1314.. lp:upstart").
 -- James Hunt <email address hidden> Wed, 20 Jul 2011 14:51:04 +0100

Changed in upstart (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers